aboutsummaryrefslogtreecommitdiff
path: root/sh/supervise-daemon.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/supervise-daemon.sh')
-rw-r--r--sh/supervise-daemon.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/supervise-daemon.sh b/sh/supervise-daemon.sh
index 2d889a63..e6ac1174 100644
--- a/sh/supervise-daemon.sh
+++ b/sh/supervise-daemon.sh
@@ -31,7 +31,7 @@ supervise_start()
[ -n "${chroot}" ] && service_set_value "chroot" "${chroot}"
[ -n "${pidfile}" ] && service_set_value "pidfile" "${pidfile}"
fi
- eend $rc "failed to start $RC_SVCNAME"
+ eend $rc "failed to start ${name:-$RC_SVCNAME}"
}
supervise_stop()
@@ -46,7 +46,7 @@ supervise_stop()
${pidfile:+--pidfile} $chroot$pidfile \
${stopsig:+--signal} $stopsig
- eend $? "Failed to stop $RC_SVCNAME"
+ eend $? "Failed to stop ${name:-$RC_SVCNAME}"
}
supervise_status()